PETSc version 3.15.5
Fix/Edit manual page

# AOGetType

Gets the AO type name (as a string) from the AO.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOGetType(AO ao, AOType *type)

Not Collective

### Input Parameter

| ao | - The vector

### Output Parameter

| type | - The AO type name

### See Also

AOSetType(), AOCreate()

### Level

intermediate

### Location

src/vec/is/ao/interface/aoreg.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages